#pragma once

#include <string>
#include <Game.h>

class Player {
public:
    virtual ~Player();
    virtual Player& operator<<(std::string state) = 0;
    virtual const Player& operator>>(std::string& move)  = 0;
};
